org.encog.mathutil.rbf

## Interface RadialBasisFunction

- All Superinterfaces:
    Serializable
  All Known Implementing Classes:
    BasicRBF, GaussianFunction, InverseMultiquadricFunction, MexicanHatFunction, MultiquadricFunction

      public interface RadialBasisFunction
      extends Serializable

  A multi-dimension RBF.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `calculate(double[] x)` Calculate the RBF result for the specified value.
    `double` | `getCenter(int dimension)` Get the center of this RBD.
    `double[]` | `getCenters()`
    `int` | `getDimensions()`
    `double` | `getPeak()` Get the center of this RBD.
    `double` | `getWidth()`
    `void` | `setCenters(double[] center)` Set the centers.
    `void` | `setPeak(double peak)` Set the peak.
    `void` | `setWidth(double radius)` Set the width.

- - ### Method Detail

    - #### calculate

          double calculate(double[] x)

      Calculate the RBF result for the specified value.
      Parameters:
        `x` - The value to be passed into the RBF.
      Returns:
        The RBF value.

    - #### getCenter

          double getCenter(int dimension)

      Get the center of this RBD.
      Parameters:
        `dimension` - The dimension to get the center for.
      Returns:
        The center of the RBF.

    - #### getPeak

          double getPeak()

      Get the center of this RBD.
      Returns:
        The center of the RBF.

    - #### setPeak

          void setPeak(double peak)

      Set the peak.
      Parameters:
        `peak` - The peak.

    - #### getWidth

          double getWidth()

      Returns:
        The width of the RBF.

    - #### getDimensions

          int getDimensions()

      Returns:
        The dimensions in this RBF.

    - #### setWidth

          void setWidth(double radius)

      Set the width.
      Parameters:
        `radius` - The width.

    - #### getCenters

          double[] getCenters()

      Returns:
        Get the centers.

    - #### setCenters

          void setCenters(double[] center)

      Set the centers.
      Parameters:
        `center` - The centers.

Copyright © 2014. All Rights Reserved.